Redmine - Defect #12189
Missing tmp/pdf directory
2012-10-283 11:24 - Anton Chevychalov

Status: Closed Start date:

Priority: Normal Due date:

Assignee: % Done: 0%
Category: PDF export Estimated time: 0.00 hour
Target version: 2.1.3

Resolution: Fixed Affected version: 1.4.4
Description

There is no tmp/pdf directory in default bungle. And it cause the following error during pdf export:

Started GET "/issues/2214.pdf" for 217.73.199.113 at Tue Oct 23 13:11:54 +0400 2012
Processing by IssuesController#show as PDF

Parameters: {"id"=>"2214"}

Current user: ac (id=171)
Completed 500 Internal Server Error in 186ms

Errno::EACCES (Permission denied - /opt/redmine-2.1.2/tmp/pdf) :
lib/redmine/export/pdf.rb:39:in “initialize'
lib/redmine/export/pdf.rb:499:in "new'
lib/redmine/export/pdf.rb:499:in " issue_to_pdf'
app/controllers/issues_controller.rb:121:in " show'
app/controllers/issues_controller.rb:114:in " show'

Solution is just a creation of <redmine_home>/tmp/pdf

Related issues:
Related to Redmine - Patch #32924: tmp/pdf directory is no longer necessary Closed

Associated revisions

Revision 10702 - 2012-10-23 12:50 - Toshi MARUYAMA
add tmp/pdf directory (#12189)

Revision 10703 - 2012-10-23 12:56 - Toshi MARUYAMA
Merged r10702 from trunk to 2.1-stable (#12189)

add tmp/pdf directory.

Revision 10704 - 2012-10-23 13:01 - Toshi MARUYAMA
Merged r10702 from trunk to 1.4-stable (#12189)

add tmp/pdf directory.

History

#1 - 2012-10-23 12:53 - Toshi MARUYAMA

- Subject changed from No tmp/pdf directory in bungle to No tmp/pdf directory
- Target version set to 2.1.3

- Affected version (unused) changed from 2.1.2 to 1.4.4

- Affected version changed from 2.1.2 to 1.4.4

#2 - 2012-10-23 13:10 - Toshi MARUYAMA
- Category set to PDF export
- Status changed from New to Closed

- Resolution set to Fixed
| have added tmp/pdf to Subversion r10702, r10703 and r10704.

Redmine will make tmp/pdf directory if it does not exist.
source:tags/2.1.2/lib/redmine/export/pdf.rb#L 38

#3 - 2012-11-17 09:59 - Jean-Philippe Lang
- Subject changed from No tmp/pdf directory to Missing tmp/pdf directory

#4 - 2020-01-30 04:51 - Go MAEDA
- Related to Patch #32924: tmp/pdf directory is no longer necessary added
https://www.redmine.org/projects/redmine/repository/svn/revisions/10702
https://www.redmine.org/projects/redmine/repository/svn/revisions/10703
https://www.redmine.org/projects/redmine/repository/svn/revisions/10704
https://www.redmine.org/projects/redmine/repository/svn/entry/tags/2.1.2/lib/redmine/export/pdf.rb#L38
http://www.tcpdf.org

